> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search funders by name

> Search the Heron funder database by name using fuzzy matching. Returns a lightweight list of matching funders for the frontend picker UI.




## OpenAPI

````yaml https://app.herondata.io/swagger get /api/funders/search/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/funders/search/:
    get:
      summary: Search funders by name
      description: >
        Search the Heron funder database by name using fuzzy matching. Returns a
        lightweight list of matching funders for the frontend picker UI.
      parameters:
        - description: Funder name to search for (e.g. 'iwoca', 'Funding Circle')
          in: query
          name: query
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FunderSearchResultSchema'
                type: array
          description: List of matching funders
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FunderSearchResultSchema:
      additionalProperties: false
      properties:
        heron_id:
          readOnly: true
          type: string
        logo_url:
          nullable: true
          readOnly: true
          type: string
        name:
          readOnly: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````